#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA0,0x18,0x6A,0xED,0xE7,0xEC,0x08,0x51,0xA2,0x7F,0x0B,0x22,
		0xAB,0x51,0x37,0xB1,0xAD,0xD2,0x3B,0x28,0x37,0x65,0xCB,0xA0,
		0x99,0xC2,0xAE,0x93,0x6F,0xD0,0x6B,0xBB,0x4E,0xD9,0xF9,0x93,
		0xE8,0x73,0x95,0xAC,0x41,0x31,0xEC,0x2E,0xE5,0x22,0x57,0x3B,
		0x6B,0x9F,0xEB,0xC9,0x60,0xF9,0xC1,0x42,0x40,0xEB,0x37,0x0D,
		0x00,0x10,0xC2,0x2B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
